com.amazonaws.services.cloudfront.model

## Class Aliases

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.Aliases

All Implemented Interfaces:
  Serializable, Cloneable

    public class Aliases
    extends Object
    implements Serializable, Cloneable

A complex type that contains information about CNAMEs (alternate domain names), if any, for this distribution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Aliases()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Aliases` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getItems()` A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.
`Integer` `getQuantity()` The number of CNAME aliases, if any, that you want to associate with this distribution.
`int` `hashCode()`
`void` `setItems(Collection<String> items)` A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.
`void` `setQuantity(Integer quantity)` The number of CNAME aliases, if any, that you want to associate with this distribution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Aliases` `withItems(Collection<String> items)` A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.
`Aliases` `withItems(String... items)` A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.
`Aliases` `withQuantity(Integer quantity)` The number of CNAME aliases, if any, that you want to associate with this distribution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Aliases

    public Aliases()

### Method Detail

#### setQuantity

    public void setQuantity(Integer quantity)

The number of CNAME aliases, if any, that you want to associate with this distribution.

Parameters:
  `quantity` - The number of CNAME aliases, if any, that you want to associate with this distribution.

#### getQuantity

    public Integer getQuantity()

The number of CNAME aliases, if any, that you want to associate with this distribution.

Returns:
  The number of CNAME aliases, if any, that you want to associate with this distribution.

#### withQuantity

    public Aliases withQuantity(Integer quantity)

The number of CNAME aliases, if any, that you want to associate with this distribution.

Parameters:
  `quantity` - The number of CNAME aliases, if any, that you want to associate with this distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getItems

    public List<String> getItems()

A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.

Returns:
  A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.

#### setItems

    public void setItems(Collection<String> items)

A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.

Parameters:
  `items` - A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.

#### withItems

    public Aliases withItems(String... items)

A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.

NOTE: This method appends the values to the existing list (if any). Use `setItems(java.util.Collection)` or `withItems(java.util.Collection)` if you want to override the existing values.

Parameters:
  `items` - A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withItems

    public Aliases withItems(Collection<String> items)

A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.

Parameters:
  `items` - A complex type that contains the CNAME aliases, if any, that you want to associate with this distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Aliases clone()

Overrides:
  `clone` in class `Object`